<div>
  {{ 'sqtm-core.entity.call-step.label' | translate }} "<a
    [attr.data-test-field-id]="'calledTestCase'"
    [routerLink]="getCalledTestCaseLink(callTestStep)"
    >{{ callTestStep.calledTcName }}</a
  >"
  {{ 'sqtm-core.entity.call-step.dataset.using-dataset' | translate }}
  @if (editable) {
    "<a
      [attr.data-test-field-id]="'dataset'"
      (click)="chooseDataset(testCase.name)"
      >{{ getDataSetLabel() }}</a
    >"
  } @else {
    <span>{{ getDataSetLabel() }}</span>
  }
</div>
<table
  class="block-border p-l-10 m-t-10 m-r-10"
  style="table-layout: fixed"
  aria-label="Detailed called test case step"
>
  <tr>
    <th class="index-column"></th>
    <th class="header-color rich-text-column">
      <span>{{
        'sqtm-core.entity.test-step.action.singular' | translate
      }}</span>
    </th>
    <th class="header-color rich-text-column m-r-10">
      <span>{{
        'sqtm-core.entity.test-step.expected-result.label' | translate
      }}</span>
    </th>
  </tr>

  @for (
    calledTestCaseStep of callTestStep.calledTestCaseSteps;
    track calledTestCaseStep
  ) {
    <tr>
      <td class="index-column">
        <span class="index-typography">{{
          getIndex(callTestStep, calledTestCaseStep)
        }}</span>
      </td>
      @if (calledTestCaseStep.kind === 'action-step') {
        <td
          class="rich-content rich-text-column"
          [innerHTML]="calledTestCaseStep['action'] | safeRichContent"
        ></td>
        <td
          class="rich-content rich-text-column m-r-10"
          [innerHTML]="calledTestCaseStep['expectedResult'] | safeRichContent"
        ></td>
      }
      @if (calledTestCaseStep.kind === 'call-step') {
        <td colspan="2" class="sub-call">
          {{ 'sqtm-core.entity.call-step.label' | translate }}
          {{ calledTestCaseStep['calledTcName'] }}
        </td>
      }
    </tr>
  }
</table>
